> For the complete documentation index, see [llms.txt](https://docs.bullmq.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bullmq.io/bullmq-pro/groups/local-group-concurrency.md).

# Local group concurrency

It is also possible to set a specific concurrency value to a given group. This is useful if you require that different groups should run with different concurrency factors.

Please keep in mind that when specifying a group's concurrency factor, you are storing this value in Redis, so it is your responsibility to remove it if you are not using it anymore.

You can use the `setGroupConcurrency` method like this:

```typescript
import { QueuePro } from '@taskforcesh/bullmq-pro';

const queue = new QueuePro('myQueue', { connection });
const groupId = 'my group';
await queue.setGroupConcurrency(groupId, 4);
```

{% hint style="warning" %}
Make sure to also set the [Group Concurrency](/bullmq-pro/groups/concurrency.md) at the worker instance level along side with the desired local concurrency, as it is required for this feature to function properly and also will act as a default concurrency value for the groups that have no local concurrency defined.
{% endhint %}

And you can use the `getGroupConcurrency` method like this:

```typescript
const concurrency = await queue.getGroupConcurrency(groupId);
```

## Read more:

* 💡 [Set Group Concurrency API Reference](https://api.bullmq.pro/classes/v7.QueuePro.html#setgroupconcurrency)
* 💡 [Get Group Concurrency API Reference](https://api.bullmq.pro/classes/v7.QueuePro.html#getgroupconcurrency)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bullmq.io/bullmq-pro/groups/local-group-concurrency.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
